import { Entity, Column, PrimaryColumn, Index } from "typeorm";

@Entity()
@Index(["username"], { unique: true })
export class Account {
	@PrimaryColumn("bigint")
	id: string;
	@Column("text", { nullable: false })
	username: string;

	@Column("text", { nullable: false, unique: true })
	email: string;
	@Column("text", { nullable: false })
	password: string;
}
